Deluge и python3-libtorrent >= 1.1.1 на LM 18.3

Правила форума
Как правильно задавать вопросы Правильно сформулированный вопрос и его грамотное оформление способствует высокой вероятности получения достаточно содержательного и по существу ответа. Общая рекомендация по составлению тем: 1. Версия ОС вместе с разрядностью. Пример: LM 18.1 x64, LM Sarah x32 2. DE. Если вопрос касается двух, то через запятую. (xfce, KDE, cinnamon, mate) 3. Какое железо. (достаточно вывод inxi -Fxz в спойлере (как пользоваться спойлером смотрим здесь)) или же дать ссылку на hw-probe 4. Суть. Желательно с выводом консоли, логами. 5. Скрин. Просьба указывать 1, 2 и 3 независимо от того, имеет ли это отношение к вопросу или нет. Так же не забываем об общих правилах Как пример вот
Аватара пользователя

Автор темы
kobolt
Сообщения: 330
Зарегистрирован: 27 авг 2016, 18:53
Решено: 6
Откуда: Чебоксары
Благодарил (а): 39 раз
Поблагодарили: 109 раз

Deluge и python3-libtorrent >= 1.1.1 на LM 18.3

Сообщение kobolt » 06 сен 2019, 18:17

Стоял у меня Deluge версии 1.13.хх. И все нормально работало. Но вышло обновление до 2.0 и чтото пошло не так. Пишет что не установлена Deluge.
При попытке установить требует:
sudo apt-get install deluge
Чтение списков пакетов… Готово
Построение дерева зависимостей
Чтение информации о состоянии… Готово
Некоторые пакеты не могут быть установлены. Возможно, то, что вы просите,
неосуществимо, или же вы используете нестабильную версию дистрибутива, где
запрошенные вами пакеты ещё не созданы или были удалены из Incoming.
Следующая информация, возможно, вам поможет:

Следующие пакеты имеют неудовлетворённые зависимости:
deluge : Зависит: python3-libtorrent (>= 1.1.1) но 1.0.11-1~xenial~ppa1.1 должен быть установлен
E: Невозможно исправить ошибки: у вас зафиксированы сломанные пакеты.

Код: Выделить всё

System:    Host: ххххх-X200MA Kernel: 4.4.0-159-generic x86_64 (64 bit gcc: 5.4.0)
           Desktop: Xfce 4.12.3 (Gtk 2.24.28) Distro: Linux Mint 18.3 Sylvia
Machine:   System: ASUSTeK (portable) product: X200MA v: 1.0
           Mobo: ASUSTeK model: X200MA v: 1.0
           Bios: American Megatrends v: X200MA.506 date: 04/15/2015
CPU:       Dual core Intel Celeron N2830 (-MCP-) cache: 1024 KB
           flags: (lm nx sse sse2 sse3 sse4_1 sse4_2 ssse3 vmx) bmips: 8652
           clock speeds: max: 2415 MHz 1: 2361 MHz 2: 2415 MHz
Graphics:  Card: Intel Atom Processor Z36xxx/Z37xxx Series Graphics & Display
           bus-ID: 00:02.0
           Display Server: X.Org 1.18.4 drivers: intel (unloaded: fbdev,vesa)
           Resolution: 1366x768@60.02hz
           GLX Renderer: Mesa DRI Intel Bay Trail
           GLX Version: 3.0 Mesa 18.0.5 Direct Rendering: Yes
Audio:     Card Intel Atom Processor Z36xxx/Z37xxx Series High Definition Audio Controller
           driver: snd_hda_intel bus-ID: 00:1b.0
           Sound: Advanced Linux Sound Architecture v: k4.4.0-159-generic
Network:   Card-1: Qualcomm Atheros QCA9565 / AR9565 Wireless Network Adapter
           driver: ath9k bus-ID: 02:00.0
           IF: wlp2s0 state: up mac: <filter>
           Card-2: Realtek RTL810xE PCI Express Fast Ethernet controller
           driver: r8169 v: 2.3LK-NAPI port: e000 bus-ID: 03:00.2
           IF: enp3s0f2 state: down mac: <filter>
Drives:    HDD Total Size: 500.1GB (71.9% used)
           ID-1: /dev/sda model: HGST_HTS545050A7 size: 500.1GB temp: 36C
Partition: ID-1: / size: 19G used: 9.8G (55%) fs: ext4 dev: /dev/sda1
           ID-2: /home size: 436G used: 322G (78%) fs: ext4 dev: /dev/sda5
           ID-3: swap-1 size: 4.00GB used: 0.00GB (0%) fs: swap dev: /dev/sda6
RAID:      No RAID devices: /proc/mdstat, md_mod kernel module present
Sensors:   System Temperatures: cpu: 6280.0C mobo: N/A
           Fan Speeds (in rpm): cpu: 3200
Info:      Processes: 210 Uptime: 46 min Memory: 1784.7/3838.5MB
           Init: systemd runlevel: 5 Gcc sys: 5.4.0
           Client: Shell (bash 4.3.481) inxi: 2.2.35 

Аватара пользователя

Chocobo
Сообщения: 9258
Зарегистрирован: 27 авг 2016, 19:57
Решено: 200
Откуда: НН
Благодарил (а): 645 раз
Поблагодарили: 2664 раза

Deluge и python3-libtorrent >= 1.1.1 на LM 18.3

Сообщение Chocobo » 06 сен 2019, 18:21

kobolt писал(а):
06 сен 2019, 18:17
Зависит: python3-libtorrent (>= 1.1.1) но 1.0.11-1~xenial~ppa1.1
пишет что версия с ппа приоритетней.

показывай inxi -r и apt policy python3-libtorrent
Изображение
   
Изображение

Аватара пользователя

Автор темы
kobolt
Сообщения: 330
Зарегистрирован: 27 авг 2016, 18:53
Решено: 6
Откуда: Чебоксары
Благодарил (а): 39 раз
Поблагодарили: 109 раз

Deluge и python3-libtorrent >= 1.1.1 на LM 18.3

Сообщение kobolt » 06 сен 2019, 18:31

грохнул ппа делюги. Через apt purge deluge* удалил что было. Ну и autoclean. Потом заново установил делюгу c родных репов версии 1.13.12.
Думаю библиотеки свежей просто нету для ubuntu 16.04 вот и ругается делюга.

Код: Выделить всё

Repos:     Active apt sources in file: /etc/apt/sources.list.d/additional-repositories.list
           deb http://download.virtualbox.org/virtualbox/debian xenial contrib
           deb https://dl.winehq.org/wine-builds/ubuntu/ xenial main
           Active apt sources in file: /etc/apt/sources.list.d/andrew-crew-kuznetsov-xneur-stable-xenial.list
           deb http://ppa.launchpad.net/andrew-crew-kuznetsov/xneur-stable/ubuntu xenial main
           deb-src http://ppa.launchpad.net/andrew-crew-kuznetsov/xneur-stable/ubuntu xenial main
           Active apt sources in file: /etc/apt/sources.list.d/atareao-telegram-xenial.list
           deb http://ppa.launchpad.net/atareao/telegram/ubuntu xenial main
           deb-src http://ppa.launchpad.net/atareao/telegram/ubuntu xenial main
           Active apt sources in file: /etc/apt/sources.list.d/embrosyn-xapps-xenial.list
           deb http://ppa.launchpad.net/embrosyn/xapps/ubuntu xenial main
           deb-src http://ppa.launchpad.net/embrosyn/xapps/ubuntu xenial main
           Active apt sources in file: /etc/apt/sources.list.d/home:Alexx2000.list
           deb http://download.opensuse.org/repositories/home:/Alexx2000/xUbuntu_16.04/ /
           Active apt sources in file: /etc/apt/sources.list.d/jeffreyratcliffe-ppa-xenial.list
           deb http://ppa.launchpad.net/jeffreyratcliffe/ppa/ubuntu xenial main
           deb-src http://ppa.launchpad.net/jeffreyratcliffe/ppa/ubuntu xenial main
           Active apt sources in file: /etc/apt/sources.list.d/libreoffice-libreoffice-6-0-xenial.list
           deb http://ppa.launchpad.net/libreoffice/libreoffice-6-0/ubuntu xenial main
           deb-src http://ppa.launchpad.net/libreoffice/libreoffice-6-0/ubuntu xenial main
           Active apt sources in file: /etc/apt/sources.list.d/official-package-repositories.list
           deb http://mirror.yandex.ru/linuxmint-packages sylvia main upstream import backport
           deb http://mirror.corbina.net/ubuntu xenial main restricted universe multiverse
           deb http://mirror.corbina.net/ubuntu xenial-updates main restricted universe multiverse
           deb http://mirror.corbina.net/ubuntu xenial-backports main restricted universe multiverse
           deb http://security.ubuntu.com/ubuntu/ xenial-security main restricted universe multiverse
           deb http://archive.canonical.com/ubuntu/ xenial partner
           Active apt sources in file: /etc/apt/sources.list.d/slytomcat-ppa-xenial.list
           deb http://ppa.launchpad.net/slytomcat/ppa/ubuntu xenial main
           deb-src http://ppa.launchpad.net/slytomcat/ppa/ubuntu xenial main
           Active apt sources in file: /etc/apt/sources.list.d/teejee2008-ppa-xenial.list
           deb http://ppa.launchpad.net/teejee2008/ppa/ubuntu xenial main
           deb-src http://ppa.launchpad.net/teejee2008/ppa/ubuntu xenial main
           Active apt sources in file: /etc/apt/sources.list.d/vivaldi-snapshot.list
           deb http://repo.vivaldi.com/snapshot/deb/ stable main
           Active apt sources in file: /etc/apt/sources.list.d/webupd8team-java-xenial.list
           deb http://ppa.launchpad.net/webupd8team/java/ubuntu xenial main
           deb-src http://ppa.launchpad.net/webupd8team/java/ubuntu xenial main

Код: Выделить всё

apt policy python3-libtorrent
python3-libtorrent:
  Установлен: 1.0.11-1~xenial~ppa1.1
  Кандидат:   1.0.11-1~xenial~ppa1.1
  Таблица версий:
 *** 1.0.11-1~xenial~ppa1.1 100
        100 /var/lib/dpkg/status
     1.0.7-1build1 500
        500 http://mirror.corbina.net/ubuntu xenial/universe amd64 Packages

Аватара пользователя

Chocobo
Сообщения: 9258
Зарегистрирован: 27 авг 2016, 19:57
Решено: 200
Откуда: НН
Благодарил (а): 645 раз
Поблагодарили: 2664 раза

Deluge и python3-libtorrent >= 1.1.1 на LM 18.3

Сообщение Chocobo » 06 сен 2019, 18:36

kobolt писал(а):
06 сен 2019, 18:31
грохнул ппа делюги
по-хорошему, если она и была от xenial, то либо должна быть совместима с версиями из родных репо, либо нести в себе альтернативную версию зависимости.

что за реп хоть был, который снес?
Изображение
   
Изображение

Аватара пользователя

Автор темы
kobolt
Сообщения: 330
Зарегистрирован: 27 авг 2016, 18:53
Решено: 6
Откуда: Чебоксары
Благодарил (а): 39 раз
Поблагодарили: 109 раз

Deluge и python3-libtorrent >= 1.1.1 на LM 18.3

Сообщение kobolt » 06 сен 2019, 18:43


Аватара пользователя

madesta
Сообщения: 386
Зарегистрирован: 11 июн 2017, 18:47
Решено: 7
Благодарил (а): 26 раз
Поблагодарили: 72 раза

Deluge и python3-libtorrent >= 1.1.1 на LM 18.3

Сообщение madesta » 08 сен 2019, 22:09

Примерно с месяц назад ради интереса решил попробовать заявленную новую версию. Как и у автора топика, не пошло. Долго разбираться не стал, снес. Тем более, что по старому опыту Deluge и qBittorrent по внешнему виду удивительно похожи (прямо клоны какие-то). По результатам тестов Deluge был самым прожорливым в вопросе потребления ресурсов компьютера при скачивании одного и того же торрента на разных клиентах: Deluge, qBittorrent, Transmission.

Вернуться в «Xfce»